"use strict";

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

utils.setBaseWidth(750);
var dailyWordsCountChangeEchartsInstance;

// var getDailyWordsCountChangeOption = function getDailyWordsCountChangeOption() {
//   var option = {
//     color: ['#2DBCFF'],
//     title: [{
//       top: utils.px(45),
//       right: utils.px(130),
//       text: '近一周',
//       link: "javascript:\n        dailyWordsCountChangeEchartsInstance.setOption({\n          title: [\n            {\n              textStyle: {\n                color: '#2DBCFF',\n              },\n            },\n            {\n              textStyle: {\n                color: '#C0CBD4',\n              },\n            },\n          ],\n        });utils.call('getDailyWordsCountChangeData', 7);",
//       target: 'self',
//       padding: 0,
//       textStyle: {
//         fontWeight: 'normal',
//         color: '#2DBCFF',
//         fontSize: utils.px(24)
//       }
//     }, {
//       top: utils.px(45),
//       right: utils.px(20),
//       link: "javascript:\n        dailyWordsCountChangeEchartsInstance.setOption({\n          title: [\n            {\n              textStyle: {\n                color: '#C0CBD4',\n              },\n            },\n            {\n              textStyle: {\n                color: '#2DBCFF',\n              },\n            },\n          ],\n        });utils.call('getDailyWordsCountChangeData', 30);",
//       target: 'self',
//       text: '近一月',
//       padding: 0,
//       textStyle: {
//         fontWeight: 'normal',
//         color: '#C0CBD4',
//         fontSize: utils.px(24)
//       }
//     }, {
//       top: utils.px(48),
//       left: utils.px(30),
//       text: '每日字数变化统计',
//       padding: 0,
//       textStyle: {
//         color: '#2a2a2a',
//         fontSize: utils.px(30)
//       }
//     }],
//     grid: {
//       top: utils.px(130),
//       left: utils.px(114),
//       bottom: utils.px(80),
//       right: utils.px(20)
//     },
//     yAxis: {
//       offset: utils.px(74),
//       axisLabel: {
//         align: 'left',
//         textStyle: {
//           color: '#B0BAC3',
//           fontSize: utils.px(16)
//         }
//       },
//       type: 'value',
//       axisLine: {
//         show: false
//       },
//       axisTick: {
//         show: false
//       },
//       splitLine: {
//         lineStyle: {
//           color: '#F8FAFB',
//           type: 'dashed'
//         }
//       }
//     },
//     xAxis: {
//       offset: utils.px(10),
//       data: utils.getRandomDate(),
//       axisLine: {
//         lineStyle: {
//           color: '#F0F0F0'
//         }
//       },
//       boundaryGap: true,
//       axisTick: {
//         show: false
//       },
//       axisLabel: {
//         formatter: function formatter(data) {
//           return utils.formatterDate(new Date(data), 'MM-DD');
//         },
//         textStyle: {
//           color: '#B0BAC3',
//           fontSize: utils.px(16)
//         }
//       }
//     },
//     tooltip: {
//       backgroundColor: '#fff',
//       borderColor: '#ECF1F7',
//       borderWidth: 1,
//       textStyle: {
//         color: '#98A2AB'
//       },
//       padding: [utils.px(10), utils.px(32), utils.px(10), utils.px(16)],
//       formatter: function formatter(dataList) {
//         var result = utils.formatterDate(new Date(dataList[0].axisValue), 'YYYY年MM月DD日');
//         result = "\n          <div\n            style=\"\n              font-size: ".concat(utils.px(18), "px;\n              line-height: ").concat(utils.px(30), "px;\n            \" >\n            ").concat(result, "\n          </div>\n        ");

//         for (var i = 0; i < dataList.length; i += 1) {
//           result += "\n            <div>\n              <sapn\n                style=\"\n                  margin-right: ".concat(utils.px(10), "px;\n                  display: inline-block;\n                  width: ").concat(utils.px(12), "px;\n                  height: ").concat(utils.px(12), "px;\n                  border-radius: 50%;\n                  background-color: ").concat(dataList[i].color, "\" >\n              </sapn>\n              <span\n                style=\"\n                  font-size: ").concat(utils.px(18), "px;\n                  line-height: ").concat(utils.px(30), "px;\n                \" >\n                ").concat(dataList[i].seriesName, "\uFF1A").concat(utils.formatterCountByPrefix(dataList[i].value), "\n              </span>\n            <div>\n          ");
//         }

//         return result;
//       },
//       trigger: 'axis',
//       axisPointer: {
//         type: 'line',
//         lineStyle: {
//           width: 0
//         }
//       }
//     },
//     series: [{
//       name: '每日字数变化',
//       data: utils.getDefaultNumberData(),
//       type: 'bar',
//       // barMinHeight: utils.px(10),
//       emphasis: {
//         itemStyle: {
//           color: '#5786FF'
//         }
//       }
//     }]
//   };
//   return option;
// };

window.setDailyWordsCountChangeData = function setDailyWordsCountChangeData(_data, period) {
  var data = utils.parseJSON(_data);

  if (utils.isNotObject(data) || utils.isNotDateArray(data.dateList) || utils.isNotNumberArray(data.change)) {
    data = {
      dateList: utils.getDefaultDate(),
      change: utils.getDefaultNumberData()
    };
  }

  var isDefaultData = utils.isDefaultData(data.change);

  for (var i = 0; i < data.change.length; i += 1) {
    data.change[i] = {
      value: data.change[i],
      itemStyle: {
        color: data.change[i] > 0 ? '#2DBCFF' : '#E0F4FF',
        opacity: data.change[i] ? 1 : 0
      },
      label: {
        show: period === 7 && data.change[i],
        position: data.change[i] > 0 ? 'top' : 'bottom',
        color: data.change[i] > 0 ? '#2DBCFF' : '#89D9FF',
        fontSize: utils.px(18)
      }
    };
  }

  var option = {
    tooltip: {
      show: !isDefaultData
    },
    xAxis: {
      data: data.dateList
    },
    series: [{
      data: data.change
    }]
  };
  utils.setOption(dailyWordsCountChangeEchartsInstance, option);
};

var dailyWordsCountEchartsInstance;

var getDailyWordsCountOption = function getDailyWordsCountOption() {
  var option = {
    color: ['#2DBCFF', '#B8F6FF'],
    title: [{
      top: utils.px(45),
      right: utils.px(130),
      text: '近一周',
      link: "javascript:\n        dailyWordsCountEchartsInstance.setOption({\n          title: [\n            {\n              textStyle: {\n                color: '#2DBCFF',\n              },\n            },\n            {\n              textStyle: {\n                color: '#C0CBD4',\n              },\n            },\n          ],\n        });utils.call('getDailyWordsCountData', 7);",
      target: 'self',
      padding: 0,
      textStyle: {
        fontWeight: 'normal',
        color: '#2DBCFF',
        fontSize: utils.px(24)
      }
    }, {
      top: utils.px(45),
      right: utils.px(20),
      link: "javascript:\n        dailyWordsCountEchartsInstance.setOption({\n          title: [\n            {\n              textStyle: {\n                color: '#C0CBD4',\n              },\n            },\n            {\n              textStyle: {\n                color: '#2DBCFF',\n              },\n            },\n          ],\n        });utils.call('getDailyWordsCountData', 30);",
      target: 'self',
      text: '近一月',
      padding: 0,
      textStyle: {
        fontWeight: 'normal',
        color: '#C0CBD4',
        fontSize: utils.px(24)
      }
    }, {
      top: utils.px(48),
      left: utils.px(30),
      text: '每日码字字数统计',
      padding: 0,
      textStyle: {
        color: '#2a2a2a',
        fontSize: utils.px(30)
      }
    }],
    legend: {
      bottom: utils.px(30),
      padding: 0,
      itemGap: utils.px(30),
      itemWidth: utils.px(16),
      itemHeight: utils.px(16),
      data: [{
        name: 'App端码字',
        icon: 'roundRect',
        textStyle: {
          color: '#2a2a2a',
          fontSize: utils.px(18)
        }
      }, {
        name: 'PC端码字',
        icon: 'roundRect',
        textStyle: {
          color: '#2a2a2a',
          fontSize: utils.px(18)
        }
      }]
    },
    grid: {
      top: utils.px(126),
      left: utils.px(100),
      bottom: utils.px(120),
      right: utils.px(20)
      /* containLabel: true, */

    },
    yAxis: {
      offset: utils.px(60),
      axisLabel: {
        align: 'left',
        textStyle: {
          color: '#B0BAC3',
          fontSize: utils.px(16)
        }
      },
      type: 'value',
      axisLine: {
        show: false
      },
      axisTick: {
        show: false
      },
      splitLine: {
        show: false
      }
    },
    xAxis: {
      data: utils.getRandomDate(),
      axisLine: {
        lineStyle: {
          color: '#F0F0F0'
        }
      },
      boundaryGap: true,
      axisTick: {
        inside: true,
        alignWithLabel: true
      },
      axisLabel: {
        formatter: function formatter(data) {
          return utils.formatterDate(new Date(data), 'MM-DD');
        },
        textStyle: {
          color: '#B0BAC3',
          fontSize: utils.px(16)
        }
      }
    },
    tooltip: {
      show: false,
      backgroundColor: '#fff',
      borderColor: '#ECF1F7',
      borderWidth: 1,
      textStyle: {
        color: '#98A2AB'
      },
      padding: [utils.px(10), utils.px(32), utils.px(10), utils.px(16)],
      formatter: function formatter(dataList) {
        var result = utils.formatterDate(new Date(dataList[0].axisValue), 'YYYY年MM月DD日');
        result = "\n          <div\n            style=\"\n              font-size: ".concat(utils.px(18), "px;\n              line-height: ").concat(utils.px(30), "px;\n            \" >\n            ").concat(result, "\n          </div>\n        ");

        for (var i = 0; i < dataList.length; i += 1) {
          result += "\n            <div>\n              <sapn\n                style=\"\n                  margin-right: ".concat(utils.px(10), "px;\n                  display: inline-block;\n                  width: ").concat(utils.px(12), "px;\n                  height: ").concat(utils.px(12), "px;\n                  border-radius: 50%;\n                  background-color: ").concat(dataList[i].color, "\" >\n              </sapn>\n              <span\n                style=\"\n                  font-size: ").concat(utils.px(18), "px;\n                  line-height: ").concat(utils.px(30), "px;\n                \" >\n                ").concat(dataList[i].seriesName, "\uFF1A").concat(utils.formatterCount(dataList[i].value), "\n              </span>\n            <div>\n          ");
        }

        return result;
      },
      trigger: 'axis',
      axisPointer: {
        type: 'line',
        lineStyle: {
          width: 0
        }
      }
    },
    series: [{
      name: 'App端码字',
      data: utils.getDefaultNumberData(),
      type: 'bar',
      barGap: 0,
      emphasis: {
        itemStyle: {
          color: '#5786FF'
        },
        label: {
          color: 'white'
        }
      }
    }, {
      name: 'PC端码字',
      type: 'bar',
      data: utils.getDefaultNumberData(),
      barGap: 0,
      emphasis: {
        itemStyle: {
          color: '#C8BFFF'
        },
        label: {
          color: 'white'
        }
      }
    }]
  };
  return option;
};

window.setDailyWordsCountData = function setDailyWordsCountData(_data, period) {
  var data = utils.parseJSON(_data);

  if (utils.isNotObject(data) || utils.isNotDateArray(data.dateList) || utils.isNotNumberArray(data.app) || utils.isNotNumberArray(data.pc) // || utils.isNotNumberArray(data.deleteWordsCount)
  ) {
      data = {
        dateList: utils.getDefaultDate(),
        pc: utils.getDefaultNumberData(),
        app: utils.getDefaultNumberData() // deleteWordsCount: utils.getDefaultNumberData(),

      };
    }

  var isDefaultData = utils.isDefaultData(data.app, data.pc);
  var barMinHeight = 15;
  var count = String(Math.min.apply(Math, _toConsumableArray(data.pc).concat(_toConsumableArray(data.app)))).length;

  for (var i = 0; i < count; i += 1) {
    barMinHeight += 15;
  }

  for (var _i = 0; _i < data.app.length; _i += 1) {
    data.app[_i] = {
      value: data.app[_i],
      label: {
        show: period === 7 && data.app[_i],
        position: 'insideTop',
        align: 'right',
        verticalAlign: 'middle',
        fontSize: utils.px(14),
        rotate: 90
      },
      itemStyle: {
        opacity: data.app[_i] ? 1 : 0
      }
    };
    data.pc[_i] = {
      value: data.pc[_i],
      label: {
        show: period === 7 && data.pc[_i],
        position: 'insideTop',
        align: 'right',
        verticalAlign: 'middle',
        fontSize: utils.px(14),
        rotate: 90
      },
      itemStyle: {
        opacity: data.pc[_i] ? 1 : 0
      }
    };
  }

  var option = {
    xAxis: {
      data: data.dateList
    },
    tooltip: {
      show: !isDefaultData
    },
    series: [{
      stack: period === 30,
      data: data.app,
      barMinHeight: period === 7 ? utils.px(barMinHeight) : 0
    }, {
      stack: period === 30,
      data: data.pc,
      barMinHeight: period === 7 ? utils.px(barMinHeight) : 0
    }]
  };
  /* console.log(utils.isDefaultData(data.app)); */

  /* console.log(option); */

  /* dailyWordsCountEchartsInstance.setOption(option); */

  utils.setOption(dailyWordsCountEchartsInstance, option);
};

window.getDailyWordsCountChangeDataTest = function () {
  var period = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 7;
  var data = {
    dateList: utils.getDefaultDateData(period),
    change: []
  };

  for (var i = 0; i < period; i += 1) {
    data.change.push(utils.getRandomNumber());
  }

  window.setDailyWordsCountChangeData(JSON.stringify(data), period);
};

window.getDailyWordsCountDataTest = function () {
  var period = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 7;
  var data = {
    dateList: utils.getDefaultDateData(period),
    app: [],
    pc: [],
    deleteWordsCount: []
  };

  for (var i = 0; i < period; i += 1) {
    /* data.dateList.push(new Date(2018, utils.random(0, 12), utils.random(0, 30))); */
    data.app.push(utils.getRandomNumber());
    data.pc.push(utils.getRandomNumber());
    data.deleteWordsCount.push(utils.getRandomNumber());
  }

  window.setDailyWordsCountData(JSON.stringify(data), period);
};

var wordsCountEchartsInstance;

var getWordsCountOption = function getWordsCountOption() {
  var option = {
    color: ['#2DBCFF', '#B8F6FF'],
    title: {
      top: utils.px(48),
      left: utils.px(26),
      text: '个人码字字数统计',
      textStyle: {
        color: '#2a2a2a',
        fontSize: utils.px(30)
      }
    },
    series: [{
      type: 'pie',
      legendHoverLink: false,
      hoverAnimation: false,
      silent: true,
      radius: ['57%', '65%'],
      center: ['46%', '69%'],
      labelLine: {
        show: false
      },
      data: [{
        value: utils.getRandomNumber()
      }, {
        value: utils.getRandomNumber()
      }]
    }]
  };
  return option;
};

window.getWordsCountDataTest = function () {
  var data = {
    appWordsCount: utils.getRandomNumber(),
    pcWordsCount: utils.getRandomNumber(),
    appDailyAverageWordsCount: utils.getRandomNumber(),
    appMostDailyWordsCount: utils.getRandomNumber() // dailyAverageDeleteWordsCount: utils.getRandomNumber(),
    // totalDeleteWordsCount: utils.getRandomNumber(),

  };
  /* return JSON.stringify(data); */

  window.setWordsCountData(JSON.stringify(data));
};

window.setWordsCountData = function setWordsCountData(_data) {
  var data = utils.parseJSON(_data);

  if (utils.isNotObject(data) || utils.isNotNumber(data.appWordsCount) || utils.isNotNumber(data.pcWordsCount) || utils.isNotNumber(data.appDailyAverageWordsCount) || utils.isNotNumber(data.appMostDailyWordsCount) // || utils.isNotNumber(data.dailyAverageDeleteWordsCount)
  // || utils.isNotNumber(data.totalDeleteWordsCount)
  ) {
      data = {
        appWordsCount: 0,
        pcWordsCount: 0,
        appDailyAverageWordsCount: 0,
        appMostDailyAverageWordsCount: 0 // dailyAverageDeleteWordsCount: 0,
        // totalDeleteWordsCount: 0,

      };
    }

  var option = {
    series: [{
      data: [{
        value: data.appWordsCount
      }, {
        value: data.pcWordsCount
      }]
    }]
  };
  /* wordsCountEchartsInstance.setOption(option); */

  utils.setOption(wordsCountEchartsInstance, option);
  var totalCodeWordsTime = document.getElementById('total-words-count');
  totalCodeWordsTime.innerText = utils.formatterCount(data.appWordsCount + data.pcWordsCount);
  var appWordsCount = document.getElementById('app-words-count');
  appWordsCount.innerText = utils.formatterCount(data.appWordsCount);
  var pcWordsCount = document.getElementById('pc-words-count');
  pcWordsCount.innerText = utils.formatterCount(data.pcWordsCount);
  var appDailyAverageWordsCount = document.getElementById('app-daily-average-words-count');
  appDailyAverageWordsCount.innerText = utils.formatterCount(data.appDailyAverageWordsCount);
  var appMostDailyWordsCount = document.getElementById('app-most-daily-words-count');
  appMostDailyWordsCount.innerText = utils.formatterCount(data.appMostDailyWordsCount);
};

var dailyCodeWordsTimeEchartsInstance;
window.dailyCodeWordsTimeEchartsInstance = dailyCodeWordsTimeEchartsInstance;

window.getDailyCodeWordsTimeDataTest = function () {
  var period = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 7;
  var data = {
    /* dateList: [], */
    dateList: utils.getDefaultDateData(period),
    app: [],
    pc: []
  };

  for (var i = 0; i < period; i += 1) {
    /* data.dateList.push(new Date(2018, utils.random(0, 12), utils.random(0, 30))); */
    data.app.push(utils.getRandomNumber());
    data.pc.push(utils.getRandomNumber());
  }
  /* return JSON.stringify(data); */


  window.setDailyCodeWordsTimeData(JSON.stringify(data), period);
};

var getDailyCodeWordsTimeOption = function getDailyCodeWordsTimeOption() {
  var option = {
    color: ['#2DBCFF', '#E8EAEE'],
    title: [{
      top: utils.px(45),
      right: utils.px(130),
      text: '近一周',
      link: "javascript:\n        dailyCodeWordsTimeEchartsInstance.setOption({\n          title: [\n            {\n              textStyle: {\n                color: '#2DBCFF',\n              },\n            },\n            {\n              textStyle: {\n                color: '#C0CBD4',\n              },\n            },\n          ],\n        });utils.call('getDailyCodeWordsTimeData', 7);",
      target: 'self',
      padding: 0,
      textStyle: {
        fontWeight: 'normal',
        color: '#2DBCFF',
        fontSize: utils.px(24)
      }
    }, {
      top: utils.px(45),
      right: utils.px(20),
      link: "javascript:\n        dailyCodeWordsTimeEchartsInstance.setOption({\n          title: [\n            {\n              textStyle: {\n                color: '#C0CBD4',\n              },\n            },\n            {\n              textStyle: {\n                color: '#2DBCFF',\n              },\n            },\n          ],\n        });utils.call('getDailyCodeWordsTimeData', 30);",
      target: 'self',
      text: '近一月',
      padding: 0,
      textStyle: {
        fontWeight: 'normal',
        color: '#C0CBD4',
        fontSize: utils.px(24)
      }
    }, {
      top: utils.px(48),
      left: utils.px(26),
      padding: 0,
      text: '每日码字时长统计',
      textStyle: {
        color: '#2a2a2a',
        fontSize: utils.px(30)
      }
    }],
    legend: {
      bottom: utils.px(30),
      padding: 0,
      itemGap: utils.px(30),
      itemWidth: utils.px(16),
      itemHeight: utils.px(16),
      data: [{
        name: 'App端时长',
        // icon: 'path://m234.5,170.5c0,-8.839779 7.160221,-16 16,-16c8.839779,0 16,7.160221 16,16c0,8.839779 -7.160221,16 -16,16c-8.839779,0 -16,-7.160221 -16,-16z',
        icon: 'roundRect',
        textStyle: {
          color: '#2a2a2a',
          fontSize: utils.px(18)
        }
      }, {
        name: 'PC端时长',
        // icon: 'path://m83.5,146.5c0,-8.839779 6.712707,-16 15,-16c8.287293,0 15,7.160221 15,16c0,8.839779 -6.712707,16 -15,16c-8.287293,0 -15,-7.160221 -15,-16z',
        icon: 'roundRect',
        textStyle: {
          color: '#2a2a2a',
          fontSize: utils.px(18)
        }
      }]
    },
    grid: {
      top: utils.px(126),
      left: utils.px(60),
      bottom: utils.px(120),
      right: utils.px(20)
      /* containLabel: true, */

    },
    yAxis: {
      /* scale: true, */
      offset: utils.px(26),
      axisLabel: {
        align: 'left',
        color: '#B0BAC3',
        fontSize: utils.px(16),
        formatter: '{value}h'
      },
      type: 'value',
      axisLine: {
        show: false
      },
      axisTick: {
        show: false
      },
      splitLine: {
        show: false
      }
    },
    xAxis: {
      data: utils.getRandomDate(),
      axisLine: {
        /* onZero: false, */
        show: false
      },
      axisTick: {
        show: false
      },
      axisLabel: {
        formatter: function formatter(data) {
          return utils.formatterDate(new Date(data), 'MM-DD');
        },
        textStyle: {
          color: '#B0BAC3',
          fontSize: utils.px(16)
        }
      }
    },
    tooltip: {
      show: false,
      backgroundColor: '#fff',
      borderColor: '#ECF1F7',
      borderWidth: 1,
      textStyle: {
        color: '#98A2AB'
      },
      padding: [utils.px(10), utils.px(32), utils.px(10), utils.px(16)],
      formatter: function formatter(dataList) {
        /* console.log(dataList); */
        var result = utils.formatterDate(new Date(dataList[0].axisValue), 'YYYY年MM月DD日');
        result = "\n          <div\n            style=\"\n              font-size: ".concat(utils.px(18), "px;\n              line-height: ").concat(utils.px(30), "px;\n            \" >\n            ").concat(result, "\n          </div>\n        ");

        for (var i = 0; i < dataList.length; i += 1) {
          result += "\n            <div>\n              <sapn\n                style=\"\n                  margin-right: ".concat(utils.px(10), "px;\n                  display: inline-block;\n                  width: ").concat(utils.px(12), "px;\n                  height: ").concat(utils.px(12), "px;\n                  border-radius: 50%;\n                  background-color: ").concat(dataList[i].color, "\" >\n              </sapn>\n              <span\n                style=\"\n                  font-size: ").concat(utils.px(18), "px;\n                  line-height: ").concat(utils.px(30), "px;\n                \" >\n                ").concat(dataList[i].seriesName, "\uFF1A").concat(utils.formatterLocalDate(dataList[i].value), "\n              </span>\n            <div>\n          ");
        }

        return result;
      },
      trigger: 'axis',
      axisPointer: {
        type: 'line',
        lineStyle: {
          width: 0
        }
      }
    },
    series: [{
      name: 'App端时长',
      type: 'bar',
      data: utils.getDefaultNumberData(),
      stack: true,
      barMaxWidth: utils.px(32),
      barMinHeight: utils.px(10),
      emphasis: {
        itemStyle: {
          color: '#5786FF'
        }
      }
    }, {
      name: 'PC端时长',
      type: 'bar',
      stack: true,
      barMaxWidth: utils.px(32),
      barMinHeight: utils.px(10),
      data: utils.getDefaultNumberData(),
      emphasis: {
        itemStyle: {
          color: '#C7DAFF'
        }
      }
    }]
  };
  return option;
};

window.setDailyCodeWordsTimeData = function setDailyCodeWordsTimeData(_data, period) {
  var data = utils.parseJSON(_data);

  if (utils.isNotObject(data) || utils.isNotDateArray(data.dateList) || utils.isNotNumberArray(data.app) || utils.isNotNumberArray(data.pc)) {
    data = {
      dateList: utils.getDefaultDate(),
      pc: utils.getDefaultNumberData(),
      app: utils.getDefaultNumberData()
    };
  }

  var option = {
    xAxis: {
      data: data.dateList
    },
    tooltip: {
      show: !utils.isDefaultData(data.app, data.pc)
    },
    series: [{
      data: utils.getBarData(data.app, data.pc, 'down', period)
    }, {
      data: utils.getBarData(data.pc, data.app, 'up', period)
    }]
  };
  /* console.log(option); */

  /* dailyCodeWordsTimeEchartsInstance.setOption(option); */

  utils.setOption(dailyCodeWordsTimeEchartsInstance, option);
};

var codeWordsTimeEchartsInstance;

var getCodeWordsTimeOption = function getCodeWordsTimeOption() {
  var option = {
    color: ['#2DBCFF', '#E8EAEE'],
    title: {
      top: utils.px(48),
      left: utils.px(26),
      text: '个人码字时长统计',
      textStyle: {
        color: '#2a2a2a',
        fontSize: utils.px(30)
      }
    },
    series: [{
      type: 'pie',
      legendHoverLink: false,
      hoverAnimation: false,
      // roseType: 'radius',
      silent: true,

      /* radius: ['39%', '50%'], */
      radius: ['57%', '65%'],
      center: ['45%', '69%'],
      labelLine: {
        show: false
      },
      data: [{
        value: utils.getRandomNumber()
      }, {
        value: utils.getRandomNumber()
      }]
    }]
  };
  return option;
};

window.getCodeWordsTimeDataTest = function () {
  var data = {
    appCodeWordsTime: utils.getRandomNumber(),
    pcCodeWordsTime: utils.getRandomNumber(),
    appDailyAverageCodeWordsTime: utils.getRandomNumber(),
    appMostDailyCodeWordsTime: utils.getRandomNumber()
  };
  /* return JSON.stringify(data); */

  window.setCodeWordsTimeData(JSON.stringify(data));
};

window.setCodeWordsTimeData = function setCodeWordsTimeData(_data) {
  var data = utils.parseJSON(_data);

  if (utils.isNotObject(data) || utils.isNotNumber(data.appCodeWordsTime) || utils.isNotNumber(data.pcCodeWordsTime) || utils.isNotNumber(data.appDailyAverageCodeWordsTime) || utils.isNotNumber(data.appMostDailyCodeWordsTime)) {
    data = {
      appCodeWordsTime: 0,
      pcCodeWordsTime: 0,
      appMostDailyCodeWordsTime: 0,
      appDailyAverageCodeWordsTime: 0
    };
  }

  var option = {
    series: [{
      data: [{
        value: data.appCodeWordsTime
      }, {
        value: data.pcCodeWordsTime
      }]
    }]
  };
  /* console.log(data); */

  /* codeWordsTimeEchartsInstance.setOption(option); */

  utils.setOption(codeWordsTimeEchartsInstance, option);
  var totalCodeWordsTime = document.getElementById('total-code-words-time');
  totalCodeWordsTime.innerText = utils.formatterLocalDate(data.appCodeWordsTime + data.pcCodeWordsTime);
  var appCodeWordsTime = document.getElementById('app-code-words-time');
  appCodeWordsTime.innerText = utils.formatterLocalDate(data.appCodeWordsTime);
  var pcCodeWordsTime = document.getElementById('pc-code-words-time');
  pcCodeWordsTime.innerText = utils.formatterLocalDate(data.pcCodeWordsTime);
  var appDailyAverageCodeWordsTime = document.getElementById('app-daily-average-code-words-time');
  appDailyAverageCodeWordsTime.innerText = utils.formatterLocalDate(data.appDailyAverageCodeWordsTime);
  var appMostDailyCodeWordsTime = document.getElementById('app-most-daily-code-words-time');
  appMostDailyCodeWordsTime.innerText = utils.formatterLocalDate(data.appMostDailyCodeWordsTime);
  /* appMostDailyCodeWordsTime.innerText = `${utils.formatterNumber(0.001, 99999, 0.1)}h`; */
};

var init = function init() {
  /* 每日码字字数变化 */
  // var dailyWordsCountChangeDom = document.getElementById('daily-words-count-change');
  // dailyWordsCountChangeEchartsInstance = echarts.init(dailyWordsCountChangeDom);
  // var dailyWordsCountChangeOption = getDailyWordsCountChangeOption();
  // utils.setOption(dailyWordsCountChangeEchartsInstance, dailyWordsCountChangeOption);
  /* 每日码字字数 */

  var dailyWordsCountDom = document.getElementById('daily-words-count');
  dailyWordsCountEchartsInstance = echarts.init(dailyWordsCountDom);
  var dailyWordsCountOption = getDailyWordsCountOption();
  utils.setOption(dailyWordsCountEchartsInstance, dailyWordsCountOption);
  /* 码字字数 */

  var wordsCountDom = document.getElementById('words-count');
  wordsCountEchartsInstance = echarts.init(wordsCountDom);
  var wordsCountOption = getWordsCountOption();
  /* wordsCountEchartsInstance.setOption(wordsCountOption); */

  utils.setOption(wordsCountEchartsInstance, wordsCountOption);
  /* 每日码字时长 */

  var dailyCodeWordsTimeDom = document.getElementById('daily-code-words-time');
  dailyCodeWordsTimeEchartsInstance = echarts.init(dailyCodeWordsTimeDom);
  var dailyCodeWordsTimeOption = getDailyCodeWordsTimeOption();
  /* dailyCodeWordsTimeEchartsInstance.setOption(dailyCodeWordsTimeOption); */

  utils.setOption(dailyCodeWordsTimeEchartsInstance, dailyCodeWordsTimeOption);
  /* 码字时长 */

  var codeWordsTimeDom = document.getElementById('code-words-time');
  codeWordsTimeEchartsInstance = echarts.init(codeWordsTimeDom);
  var codeWordsTimeOption = getCodeWordsTimeOption();
  /* codeWordsTimeEchartsInstance.setOption(codeWordsTimeOption); */

  utils.setOption(codeWordsTimeEchartsInstance, codeWordsTimeOption);
  // utils.call('getDailyWordsCountChangeData', 7);
  utils.call('getDailyWordsCountData', 7);
  utils.call('getWordsCountData');
  utils.call('getDailyCodeWordsTimeData', 7);
  utils.call('getCodeWordsTimeData');
};

if (utils.isAndroid()) {
  window.init = init;
} else {
  window.addEventListener('load', init, false);
}